From 022f4ae4d6987b8c4e552440ccd58c35d3068863 Mon Sep 17 00:00:00 2001
From: Holger Just <hjust@meine-er.de>
Date: Sun, 28 Apr 2013 17:56:04 +0200
Subject: Rails'ify the welcome views

--HG--
extra : source : 2305526d376b6aba794569c1ab5f7757c26fe5c3
---
 app/views/welcome/index.html.erb  |   36 ++++++++++++++++++------------------
 app/views/welcome/robots.html.erb |   13 +++++++------
 2 files changed, 25 insertions(+), 24 deletions(-)

diff --git a/app/views/welcome/index.html.erb b/app/views/welcome/index.html.erb
index 7de009c..398de38 100644
--- a/app/views/welcome/index.html.erb
+++ b/app/views/welcome/index.html.erb
@@ -4,31 +4,31 @@
   <div class="wiki"><%= textilizable Setting.welcome_text %></div>
   <% if @news.any? %>
   <div class="news box">
-	<h3><%=l(:label_news_latest)%></h3>
-		<%= render :partial => 'news/news', :collection => @news %>
-		<%= link_to l(:label_news_view_all), :controller => 'news' %>
+  <h3><%=t :label_news_latest %></h3>
+    <%= render :partial => 'news/news', :collection => @news %>
+    <%= link_to t(:label_news_view_all), news_index_path %>
   </div>
   <% end %>
   <%= call_hook(:view_welcome_index_left, :projects => @projects) %>
 </div>
 
 <div class="splitcontentright">
-    <% if @projects.any? %>
-	<div class="projects box">
-	<h3><%=l(:label_project_latest)%></h3>
-		<ul>
-		<% for project in @projects %>
-		  <% @project = project %>
-			<li>
-			<%= link_to_project project %> (<%= format_time(project.created_on) %>)
-			<%= textilizable project.short_description, :project => project %>
-			</li>
-		<% end %>
+  <% if @projects.any? %>
+  <div class="projects box">
+  <h3><%=t :label_project_latest %></h3>
+    <ul>
+    <% @projects.each do |project| %>
+      <% @project = project %>
+      <li>
+        <%= link_to_project project %> (<%= format_time(project.created_on) %>)
+        <%= textilizable project.short_description, :project => project %>
+      </li>
+    <% end %>
     <% @project = nil %>
-		</ul>
-	</div>
-	<% end %>
-    <%= call_hook(:view_welcome_index_right, :projects => @projects) %>
+    </ul>
+  </div>
+  <% end %>
+  <%= call_hook(:view_welcome_index_right, :projects => @projects) %>
 </div>
 
 <% content_for :header_tags do %>
diff --git a/app/views/welcome/robots.html.erb b/app/views/welcome/robots.html.erb
index c6e206b..c70c75a 100644
--- a/app/views/welcome/robots.html.erb
+++ b/app/views/welcome/robots.html.erb
@@ -1,9 +1,10 @@
 User-agent: *
 <% @projects.each do |p| -%>
-Disallow: /projects/<%= p.to_param %>/repository
-Disallow: /projects/<%= p.to_param %>/issues
-Disallow: /projects/<%= p.to_param %>/activity
+Disallow: <%= project_repository_path(p) %>
+Disallow: <%= project_issues_path(p) %>
+Disallow: <%= project_gantt_path(p) %>
+Disallow: <%= project_activity_path(p) %>
 <% end -%>
-Disallow: /issues/gantt
-Disallow: /issues/calendar
-Disallow: /activity
+Disallow: <%= activity_path %>
+Disallow: <%= gantt_path %>
+Disallow: <%= calendar_path %>
-- 
1.7.1


